Subject: [Sigtran] SCTP packet containing an ABORT chunk bundled after a SHUTDOWN ACK

From: "Salil Agrawal" <[email-masked]>
Date: Tue, 20 Oct 2009 13:45:12 +0530

Hi,

We have a confusion while understanding the SCTP RFC4960 section 8.4 it says 

2)  If the OOTB packet contains an ABORT chunk, the receiver MUST
       silently discard the OOTB packet and take no further action.
       Otherwise,

and 

5)  If the packet contains a SHUTDOWN ACK chunk, the receiver should
       respond to the sender of the OOTB packet with a SHUTDOWN
       COMPLETE.  When sending the SHUTDOWN COMPLETE, the receiver of
       the OOTB packet must fill in the Verification Tag field of the
       outbound packet with the Verification Tag received in the
       SHUTDOWN ACK and set the T bit in the Chunk Flags to indicate
       that the Verification Tag is reflected.

Now consider a negative scenario where association in CLOSED state received an SCTP packet containing an ABORT chunk bundled after a SHUTDOWN ACK chunk. Should it send the SHUTDOWN-COMPLETE or silently discard the packet.

Thanks,

Salil Agrawal

---

From: "Salil Agrawal" <[email-masked]>
Date: Tue, 20 Oct 2009 13:48:23 +0530

Please ignore this query, reply to Prasanna's query as both are same.
 
Thanks,
salil

________________________________

From: [email-masked] on behalf of Salil Agrawal
Sent: Tue 10/20/2009 1:15 AM
To: [email-masked]
Subject: [Sigtran] SCTP packet containing an ABORT chunk bundled after aSHUTDOWN ACK

Hi,

and 

Thanks,

Salil Agrawal